
-- DEVOLUÇÃO DINHEIRO - B2C, ESTORNO CARTÃO - B2C

	--CRIAÇÃO DO TIPO DE PAGAMENTO '*' (DEVOLUÇÃO DINHEIRO - B2C)
    IF NOT EXISTS (SELECT * FROM DBO.TIPOS_PGTO WHERE TIPO_PGTO = '*')
	    BEGIN
		    INSERT INTO DBO.TIPOS_PGTO (TIPO_PGTO, DESC_TIPO_PGTO, TIPO_A_VISTA, DATA_PARA_TRANSFERENCIA, INATIVO)
		    VALUES ('*','DEVOLUÇÃO DINHEIRO - B2C',0,GETDATE(),0);
		    PRINT '<<<<<< Tipo de Pagamento DEVOLUÇÃO DINHEIRO - B2C criado com sucesso. >>>>>>'
	    END
	   ELSE
	    BEGIN
		    UPDATE	DBO.TIPOS_PGTO 
		    SET		DESC_TIPO_PGTO = 'DEVOLUÇÃO DINHEIRO - B2C', TIPO_A_VISTA = 0, INATIVO = 0
		    WHERE	TIPO_PGTO = '*';
		    PRINT '<<<<<< Tipo de Pagamento DEVOLUÇÃO DINHEIRO - B2C atualizado com sucesso. >>>>>>'
	    END
	
	Go
	
	--CRIAÇÃO DO TIPO DE PAGAMENTO '!' (ESTORNO CARTÃO - B2C)
    IF NOT EXISTS (SELECT * FROM DBO.TIPOS_PGTO WHERE TIPO_PGTO = '!')
	    BEGIN
		    INSERT INTO DBO.TIPOS_PGTO (TIPO_PGTO, DESC_TIPO_PGTO, TIPO_A_VISTA, DATA_PARA_TRANSFERENCIA, INATIVO)
		    VALUES ('!','ESTORNO CARTÃO - B2C',0,GETDATE(),0);
		    PRINT '<<<<<< Tipo de Pagamento ESTORNO CARTÃO - B2C criado com sucesso. >>>>>>'
	    END
	    ELSE
	    BEGIN
		    UPDATE	DBO.TIPOS_PGTO 
		    SET		DESC_TIPO_PGTO = 'ESTORNO CARTÃO - B2C', TIPO_A_VISTA = 0, INATIVO = 0
		    WHERE	TIPO_PGTO = '!';
		    PRINT '<<<<<< Tipo de Pagamento ESTORNO CARTÃO - B2C atualizado com sucesso. >>>>>>'
	    END

GO



--------------------------------
--- TIPOS DE PAGAMENTO NOVOS ---
--------------------------------
IF NOT EXISTS (SELECT 1 FROM DBO.TIPOS_PGTO WHERE TIPO_PGTO = 'W')
	BEGIN
		INSERT INTO dbo.TIPOS_PGTO (TIPO_PGTO, DESC_TIPO_PGTO, TIPO_A_VISTA, INATIVO) VALUES ('W', 'VALE - ESTORNO FRETE OMS', 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.TIPOS_PGTO SET DESC_TIPO_PGTO = 'VALE - ESTORNO FRETE OMS', TIPO_A_VISTA = 0, INATIVO = 0 WHERE TIPO_PGTO = 'W';
	END

IF NOT EXISTS (SELECT 1 FROM DBO.TIPOS_PGTO WHERE TIPO_PGTO = 'Y')
	BEGIN
		INSERT INTO dbo.TIPOS_PGTO (TIPO_PGTO, DESC_TIPO_PGTO, TIPO_A_VISTA, INATIVO) VALUES ('Y', 'VALE - OMS', 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.TIPOS_PGTO SET DESC_TIPO_PGTO = 'VALE - OMS', TIPO_A_VISTA = 0, INATIVO = 0 WHERE TIPO_PGTO = 'Y';
	END

IF NOT EXISTS (SELECT 1 FROM DBO.TIPOS_PGTO WHERE TIPO_PGTO = '>')
	BEGIN
		INSERT INTO dbo.TIPOS_PGTO (TIPO_PGTO, DESC_TIPO_PGTO, TIPO_A_VISTA, INATIVO) VALUES ('>', 'VALE - OMNI', 0, 0);
	END
ELSE
	BEGIN
		UPDATE DBO.TIPOS_PGTO SET DESC_TIPO_PGTO = 'VALE - OMNI', TIPO_A_VISTA = 0, INATIVO = 0 WHERE TIPO_PGTO = '>';
	END
